# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.22.4-65.fc7}

%define kmod_name fsam7440
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
# xen uses a different version; ignore
#define xenvar xen
# don't build for debug kernels
#define debugvar debug PAE-debug
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

Name:           %{kmod_name}-kmod
Version:        0.4
Release:        1.%(echo %{kverrel} | tr - _)
Summary:        RF Kill switch software button for Fujitsu-Siemens 7440

Group:          System Environment/Kernel
License:        GPLv2
URL:            http://fsam7440.sourceforge.net
Source0:        http://download.sourceforge.net/fsam7440/fsam7440-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	fsam7440-kmod-common >= %{version}

%description
This module allows change the status of wireless card's radio on 
Fujitsu-Siemens Amilo M 7440 and others.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c

# Fix perms
chmod 0644 %{kmod_name}-%{version}/*

for kvariant in %{kvariants} ; do
	cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants}; do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
cd _kmod_build_$kvariant
make \
	KDIR="${ksrc}" \
	CURRENT="%{kverrel}${kvariant}"
cd ..
done

%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
pushd _kmod_build_$kvariant
install -D -m 0644 *.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/
popd
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*



%changelog
* Tue Aug 14 2007 kwizart < kwizart at gmail.com > - 0.4-1
- Initial Release.
